SELECT 
    right(callNumber, 4) as versionYear,
    CASE
        WHEN length(deweyClass) > 0 THEN 'non-fiction'
        ELSE 'fiction'
    END as isFiction,
    AVG(TIMESTAMPDIFF(DAY, checkOut, checkIn))  AS 'Average Days',
    SUM(CASE
        WHEN Year(checkOut) = 2006 THEN 1
        ELSE 0
    END) AS '2006',
    SUM(CASE
        WHEN Year(checkOut) = 2007 THEN 1
        ELSE 0
    END) AS '2007',
    SUM(CASE
        WHEN Year(checkOut) = 2008 THEN 1
        ELSE 0
    END) AS '2008',
    SUM(CASE
        WHEN Year(checkOut) = 2009 THEN 1
        ELSE 0
    END) AS '2009',
    SUM(CASE
        WHEN Year(checkOut) = 2010 THEN 1
        ELSE 0
    END) AS '2010',
    SUM(CASE
        WHEN Year(checkOut) = 2011 THEN 1
        ELSE 0
    END) AS '2011',
    SUM(CASE
        WHEN Year(checkOut) = 2012 THEN 1
        ELSE 0
    END) AS '2012',
    SUM(CASE
        WHEN Year(checkOut) = 2013 THEN 1
        ELSE 0
    END) AS '2013',
    SUM(CASE
        WHEN Year(checkOut) = 2014 THEN 1
        ELSE 0
    END) AS '2014',
    SUM(CASE
        WHEN Year(checkOut) = 2015 THEN 1
        ELSE 0
    END) AS '2015'
FROM
    spl3._rawXmlDataCheckIns
WHERE
    substring(collectionCode from 3 for 3) = 'new'
        AND right(callNumber, 4) > 2005
        AND right(callNumber, 4) < 2016
        AND itemType = 'acbk'
		AND checkOut != "1970-01-01 00:00:00"
GROUP BY versionYear , isFiction
ORDER BY versionYear , isFiction

-- AVG(TIMESTAMPDIFF(DAY, checkOut, checkIn))

